Bug 330731 - autotools: variables in user defined options are expanded in the preview, but not on the command line
autotools: variables in user defined options are expanded in the preview, but...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 12:33 EDT by José Fonseca
Modified: 2008-09-30 17:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 17:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 249231 None None None Never

  None (edit)
Description José Fonseca 2007-10-13 12:33:41 EDT
Description of problem:

In build settings of an autotools project, variables in user defined options are
expanded in the overall preview, but not when invoking configure from the
command line.

Version-Release number of selected component (if applicable):

autotools-0.9.5, cdt-4.0.1, eclipse-3.4M2

How reproducible:

Always.

Steps to Reproduce:
1. In configure settings, in user-specified configuration options enter a
variable expression like --x-includes=${workspace_loc:/project_name/include}
2. Build.
  
Actual results:

The variable will appear correctly expanded in the "All options" preview line,
but when building, the variable will not be expanded, and the option passed
literally, and configure will fail.

Expected results:

The variable should be also expanded when invoking configure.

Additional info:

The workaround is to write options, absolute paths, etc. by hand. Which is time
consuming, and will break if the workspace/project is moved.
Comment 1 Bug Zapper 2008-05-13 23:22:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andrew Overholt 2008-09-30 15:42:01 EDT
Has this been addressed, Jeff?  Should this be moved upstream?
Comment 3 Jeff Johnston 2008-09-30 16:32:53 EDT
(In reply to comment #2)
> Has this been addressed, Jeff?  Should this be moved upstream?

This should be moved upstream.
Comment 4 Andrew Overholt 2008-09-30 17:11:09 EDT
Moved upstream.

Note You need to log in before you can comment on or make changes to this bug.